Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::pixel_texture_node Class Reference

Inheritance diagram for openvrml::vrml97_node::pixel_texture_node:

[legend]
List of all members.

## Detailed Description

Represents PixelTexture node instances.

## Public Member Functions
| pixel_texture_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~pixel_texture_node () throw ()
| Destroy.
virtual const openvrml::image & | image () const throw ()
| The image.
virtual size_t | frames () const throw ()
| The number of frames.
## Private Member Functions
virtual viewer::texture_object_t | do_render_texture (viewer &v)
| render_texture implementation.
## Private Attributes
exposedfield< sfimage > | image_
| image exposedField.
## Friends
class | pixel_texture_class
| Class object for PixelTexture nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::pixel_texture_node::pixel_texture_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

  | Construct. Parameters:
  | type | the node_type associated with the node.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::pixel_texture_node::~pixel_texture_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

const image & openvrml::vrml97_node::pixel_texture_node::image | ( |  | ) | const throw ()`[virtual]`

| The image. Returns: the image. Implements openvrml::texture_node.

size_t openvrml::vrml97_node::pixel_texture_node::frames | ( |  | ) | const throw ()`[virtual]`

| The number of frames. Returns: 0 Implements openvrml::texture_node.

viewer::texture_object_t openvrml::vrml97_node::pixel_texture_node::do_render_texture | ( | viewer & | v | ) | `[private, virtual]`

  | render_texture implementation. Parameters:
  | v | viewer.
Returns: object identifier for the inserted texture. Reimplemented from openvrml::texture_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::pixel_texture_node::pixel_texture_class`[friend]`

| Class object for PixelTexture nodes.

## Member Data Documentation

sfimage openvrml::vrml97_node::pixel_texture_node::image_`[private]`

| image exposedField.